from setuptools import setup, find_packages

with open("README.md", "r") as fh:
    long_description = fh.read()

requirements = ["python>=3.6", "biopython>=1.74.0", "networkx>=2.3.0", "primer3-py"]

setup(
    name="synbio",
    version="0.4.20",
    python_requires=">=3.6",
    author="JJTimmons",
    author_email="jtimmons@latticeautomation.com",
    url="https://github.com/Lattice-Automation/synbio",
    description="Synbio design and build library",
    long_description=long_description,
    long_description_content_type="text/markdown",
    keywords="synbio, lab automation, dna assembly",
    license="GNU General Public License v2 (GPLv2)",
    packages=find_packages(),
    install_requires=requirements,
    setup_requires=["setuptools", "twine"],
    test_suite="tests.suite",
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: GNU General Public License v2 (GPLv2)",
        "Operating System :: OS Independent",
        "Topic :: Scientific/Engineering :: Bio-Informatics",
        "Development Status :: 2 - Pre-Alpha",
    ],
)
